=== debian/changelog ===
anytun (0.3.6-1ubuntu1) bionic; urgency=medium

  * Fix FTBFS, missing include.
  * Enable systemd integration.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 30 Oct 2017 23:01:02 +0000

anytun (0.3.6-1) unstable; urgency=medium

  [ Michael Prokop ]
  * [355b0cb] New maintainer, adding myself as Uploader
  * [2319dc9] Drop deprecated Vcs-* headers

  [ Darshaka Pathirana ]
  * [e6be7f2] Add depends on lsb-base to
    fix lintian warning init.d-script-needs-depends-on-lsb-base
  * [6428516] Bump debian compat version to 9
  * [010a339] Fix lintian error maintainer-script-lacks-debhelper-token
  * [6af0685] Bump Debian Standards-Version to 3.9.8 (no further changes)
  * [7cf79af] Add build targets build-arch + build-indep
  * [081c9d5] Bump build dependency on debhelper v9
  * [48df959] Add debian/source/format file, 3.0 (quilt)
  * [ad68eae] Update + convert debian/copyright to machine-readable deb5 format
  * [c0bc4ea] Add Vcs-* headers

 -- Darshaka Pathirana <dpat@syn-net.org>  Thu, 26 Jan 2017 01:59:48 +0100

anytun (0.3.6-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release Closes: #811834
  * Add watch file.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 18 Aug 2016 14:11:30 +0100

anytun (0.3.5-1) unstable; urgency=medium

  * [012bc15] Imported Upstream version 0.3.5
  * [ccd85ca] wrap-and-sort the debian directory
  * [b7ab5f3] Update dependency from libgcrypt11-dev to libgcrypt20-dev
    (Closes: #758997)

 -- Michael Prokop <mika@debian.org>  Fri, 29 Aug 2014 13:29:45 -0700

anytun (0.3.4-2) unstable; urgency=low

  * [bffd997] Fix typo in package description. Thanks to Sebastian
    Carneiro <scarneiro@fibertel.com.ar> for the patch (Closes: #675417)
  * [3287f84] Bump Standards-Version to 3.9.3.

 -- Michael Prokop <mika@debian.org>  Mon, 11 Jun 2012 16:49:05 +0200

anytun (0.3.4-1) unstable; urgency=low

  * [ef0cacf] Imported Upstream version 0.3.4, addressing the
    Boost.Asio io_service() -> get_io_service() change.
    [Closes: #652767]

 -- Michael Prokop <mika@debian.org>  Mon, 02 Jan 2012 11:10:27 +0100

anytun (0.3.3-3) unstable; urgency=low

  * [7044496] Sync src/configure with upstream and patch from #615691
    to address the "ftbfs with gold or ld --no-add-needed" issue.
    Thanks to Ilya Barygin <barygin@gmail.com> for the patch and
    Daniel T Chen <seven.steps@gmail.com> for forwarding to Debian BTS
    (Closes: #615691)
  * [13f624c] Bump standards version to 3.9.2

 -- Michael Prokop <mika@debian.org>  Thu, 29 Dec 2011 11:56:35 +0100

anytun (0.3.3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * control: Switch to non-versioned boost build-dependencies.
    [Closes: #630433]

 -- Steve M. Robbins <smr@debian.org>  Fri, 22 Jul 2011 23:59:29 -0500

anytun (0.3.3-2) unstable; urgency=low

  * Bump Build-Depends from Boost 1.40 to 1.42 (thanks to
    Steve M. Robbins for bringing up).
  * Drop unnecessary autotools-dev from Build-Depends.

 -- Michael Prokop <mika@debian.org>  Thu, 06 May 2010 00:32:44 +0200

anytun (0.3.3-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.4 (no further changes).
  * Add $remote_fs to Required-{Start,Stop} in initscript.

 -- Michael Prokop <mika@debian.org>  Wed, 17 Feb 2010 02:41:13 +0100

anytun (0.3.2-2) unstable; urgency=low

  * Apply patch by Cyril Brulebois to fix FTBFS on GNU/kFreeBSD.
    Thanks! [Closes: #561421]
  * Drop asciidoc and related packages from build-depends and ship
    manpages statically instead. Upstream will ship manpages in
    next release through the tarball. [Closes: #561381]

 -- Michael Prokop <mika@debian.org>  Wed, 23 Dec 2009 01:48:48 +0100

anytun (0.3.2-1) unstable; urgency=low

  * Initial release. [Closes: #531077]

 -- Michael Prokop <mika@debian.org>  Mon, 14 Dec 2009 02:08:25 +0100
