=== debian/control ===
Source: anytun
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Darshaka Pathirana <dpat@syn-net.org>
Uploaders: Michael Prokop <mika@debian.org>
Build-Depends: debhelper (>= 9~),
               libboost-regex-dev,
               libboost-serialization-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libgcrypt20-dev,
               pkg-config,
               systemd
Homepage: http://www.anytun.org/
Standards-Version: 3.9.8
Vcs-git: git://git.syn-net.org/debian/anytun.git
Vcs-Browser: https://git.syn-net.org/debian/?p=anytun.git

Package: anytun
Architecture: any
Depends: adduser,
         lsb-base (>= 3.0-6),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: quagga
Description: secure anycast tunneling protocol
 Anytun is an implementation of the secure anycast tunneling protocol. It
 uses an easy openvpn style interface and makes it possible to build
 redundant VPN clusters with load balancing between servers. VPN servers
 share a single IP address. Adding and removing VPN Servers is done by the
 routing protocol, so no client changes have to be made when additional VPN
 servers are added or removed. It is possible to realise global load
 balancing based on shortest BGP routes by simply announcing the address
 space of the tunnel servers at multiple locations.
 .
 Currently ethernet, ipv4 and ipv6 tunnels are supported by the
 implementation. However the protocol allows one to tunnel every ETHERTYPE
 protocol.
