=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	cd src && ./configure --no-manpage --prefix=/usr --sysconfdir=/etc --examplesdir=/usr/share/anytun/examples && cd ..
	touch configure-stamp

build: build-arch build-indep

build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir

	cd src && $(MAKE) && cd ..

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) --directory=$(CURDIR)/src distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs

	# Add here commands to install the package into debian/anytun.
	cd src && $(MAKE) DESTDIR=$(CURDIR)/debian/anytun install && cd ..
	# Fix unusual path:
	mv debian/anytun/usr/share/anytun/examples/anytun debian/anytun/usr/share/anytun/examples/config
	echo "example configurations can be found at /usr/share/anytun/examples/config" > debian/anytun/etc/anytun/README

# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installman doc/anytun.8 doc/anytun-config.8 doc/anytun-controld.8 doc/anytun-showtables.8
	dh_installexamples
	dh_systemd_enable anytun.service
	dh_installinit
	dh_link
	dh_strip
	dh_compress
	mkdir -p debian/anytun/usr/share/lintian/overrides/
	cp -av debian/overrides debian/anytun/usr/share/lintian/overrides/anytun
	dh_fixperms
	find debian/anytun -type f -name config     -exec chmod 600 {} \;
	find debian/anytun -type f -name post-up.sh -exec chmod 755 {} \;
	chmod 600 debian/anytun/usr/share/anytun/examples/config/server/conf.d/*
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
