## anytun 0.3.7

=== debian/changelog ===
anytun (0.3.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS against boost1.67. (Closes: #913980)

 -- Anton Gladky <gladk@debian.org>  Sat, 17 Nov 2018 22:21:25 +0100

anytun (0.3.7-1) unstable; urgency=medium

  * [6294e1d] New upstream version 0.3.7
    - Fix FTBFS with GCC-8 (Closes: #897704)
  * [627ba33] Fix spelling errors in man page
  * [cb2ecde] Update Debian copyright file
  * [74b165b] Bump Debian Standards-Version to 4.1.5
  * [9e924f4] Update debian/rules file
  * [635dc05] Enable systemd integration (Closes: #880371)
    - Thanks to Dimitri John Ledkov for the patch.
  * [455cf82] Update to debhelper 11 and bump debian compat to version 11
  * [eadcba6] Replace dh_systemd_enable with dh_installsystemd
  * [2ca4e31] Ignore quilt .pc directory
  * [98b9d22] Remove 0002-Enable-systemd-integration.patch relict
  * [70946f9] Update Debian copyright file and add GPL-3+ with OpenSSL exception
  * [1ede2f4] Change Vcs-* to salsa.debian.org (gitlab)

 -- Darshaka Pathirana <dpat@syn-net.org>  Mon, 23 Jul 2018 15:12:55 +0200
