=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: anytun
 Section: net
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Darshaka Pathirana <dpat@syn-net.org>
+Priority: optional
+Maintainer: Darshaka Pathirana <dpat@syn-net.org>
 Uploaders: Michael Prokop <mika@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 11~),
                libboost-regex-dev,
                libboost-serialization-dev,
                libboost-system-dev,
@@ -13,9 +12,9 @@
                pkg-config,
                systemd
 Homepage: http://www.anytun.org/
-Standards-Version: 3.9.8
-Vcs-git: git://git.syn-net.org/debian/anytun.git
-Vcs-Browser: https://git.syn-net.org/debian/?p=anytun.git
+Standards-Version: 4.1.5
+Vcs-git: https://salsa.debian.org/debian/anytun.git
+Vcs-Browser: https://salsa.debian.org/debian/anytun
 
 Package: anytun
 Architecture: any
