=== debian/changelog ===
anytun (0.3.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace systemd Build-Depends with systemd-dev (Closes: #1065386)

 -- Michael Biebl <biebl@debian.org>  Wed, 17 Jul 2024 15:12:59 +0200

anytun (0.3.8-1) unstable; urgency=medium

  [ Darshaka Pathirana ]
  * [f727d6d] New upstream version 0.3.8
    - Fix FTBFS with boost1.71 (Closes: #948281)
  * [109f940] Remove patches which have been integrated into v0.3.8
  * [ad05e83] Create patch to fix two typos in the documentation
  * [326bc57] Bump Debian Standards-Version to 4.4.1 (no further changes)
  * [cd7ac42] Update year specification of the Copyright-field to 2020
  * [d2a8b5c] Add patch to fix a lintian warning
  * [12d3965] Bump Debian Standards-Version to 4.5.1 (no further changes)
  * [b9e988c] Fix FTCBFS: Pass --cross-prefix to configure.
    Thanks to Helmut Grohne <helmut@subdivi.de> for the patch (Closes: #978061)
  * [b460902] d/s/lintian-overrides: Add source-contains-prebuilt-windows-binary override

  [ Anton Gladky ]
  * [386f4e8] Add .gitlab-ci.yml
  * [5e1462f] Sync from archive
  * [0aff52e] Fix FTBFS against boost1.74. (Closes: #977219)
  * [07f0bd8] Update changelog.
  * [8311394] Update changelog.
  * [cb4acd0] Allow blhc-test to fail

 -- Darshaka Pathirana <dpat@syn-net.org>  Fri, 05 Feb 2021 13:23:34 +0100

anytun (0.3.7-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * [0aff52e] Fix FTBFS against boost1.74. (Closes: #977219)

 -- Anton Gladky <gladk@debian.org>  Mon, 14 Dec 2020 18:02:37 +0100

anytun (0.3.7-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/20_fix-build-with-boost1.71.patch: added to fix FTBFS
    against boost1.71. Thanks Giovanni Mascellani. (Closes: #948281)

 -- Fabio Augusto De Muzio Tobich <ftobich@gmail.com>  Mon, 08 Jun 2020 14:11:32 -0300
