=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                libboost-thread-dev,
                libgcrypt20-dev,
                pkg-config,
-               systemd
+               systemd-dev
 Homepage: http://www.anytun.org/
-Standards-Version: 4.1.5
+Standards-Version: 4.5.1
 Vcs-git: https://salsa.debian.org/debian/anytun.git
 Vcs-Browser: https://salsa.debian.org/debian/anytun
