=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # See debhelper(7) (uncomment to enable)
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
+
+include /usr/share/dpkg/architecture.mk
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -16,7 +18,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	cd src && ./configure --no-manpage --prefix=/usr --sysconfdir=/etc --examplesdir=/usr/share/anytun/examples && cd ..
+	cd src && ./configure --no-manpage --prefix=/usr --sysconfdir=/etc --examplesdir=/usr/share/anytun/examples --cross-prefix=${DEB_HOST_GNU_TYPE}- && cd ..
 	touch configure-stamp
 
 build: build-arch build-indep
@@ -68,8 +70,7 @@
 	dh_link
 	dh_strip
 	dh_compress
-	mkdir -p debian/anytun/usr/share/lintian/overrides/
-	cp -av debian/overrides debian/anytun/usr/share/lintian/overrides/anytun
+	dh_lintian
 	dh_fixperms
 	find debian/anytun -type f -name config     -exec chmod 600 {} \;
 	find debian/anytun -type f -name post-up.sh -exec chmod 755 {} \;
